summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-03-05 11:59:29 +0100
committerDavid Seifert <soap@gentoo.org>2017-03-05 12:02:20 +0100
commitdd0704219dbf7c5ffc9c25dd66dbb10277ea5f7e (patch)
treeb4fa30021aeb0fb9e55d9453cc49f323356f0ed7 /sci-misc
parentnet-firewall/gshield: Fix /usr/share/gshield/routables/routable.rules (maybe ... (diff)
downloadgentoo-dd0704219dbf7c5ffc9c25dd66dbb10277ea5f7e.tar.gz
gentoo-dd0704219dbf7c5ffc9c25dd66dbb10277ea5f7e.tar.bz2
gentoo-dd0704219dbf7c5ffc9c25dd66dbb10277ea5f7e.zip
sci-misc/mendeleydesktop: Version bump to 1.17.8
Bug: https://bugs.gentoo.org/show_bug.cgi?id=598228 Package-Manager: Portage-2.3.4, Repoman-2.3.2
Diffstat (limited to 'sci-misc')
-rw-r--r--sci-misc/mendeleydesktop/Manifest2
-rw-r--r--sci-misc/mendeleydesktop/mendeleydesktop-1.17.8.ebuild129
2 files changed, 131 insertions, 0 deletions
diff --git a/sci-misc/mendeleydesktop/Manifest b/sci-misc/mendeleydesktop/Manifest
index bc34301f160..4a06bc55059 100644
--- a/sci-misc/mendeleydesktop/Manifest
+++ b/sci-misc/mendeleydesktop/Manifest
@@ -1,2 +1,4 @@
DIST mendeleydesktop-1.16.3-linux-i486.tar.bz2 32690548 SHA256 bad4308898ccce0465877a405d82707448a01379df129dbec4d99b74fdabfaf2 SHA512 4e400199b5a980e5cc32a9a7f3c2b6ed4bbda1cbb937442e0ed16eced8800adbbe919477677858ab482e26761bc0472ae455ac8f52f090b3c63a4d5e3f503dbe WHIRLPOOL 1e806c3ff1ed941a2ec9bc34e342a5a0aa92209e9431436c233a5b51f65cccd1213bba0667c4767d9d19f3d7f35550acdcc18c57852108ceda134bbf1bc2dc7f
DIST mendeleydesktop-1.16.3-linux-x86_64.tar.bz2 32424167 SHA256 c16aaa8d74da43fbe0883cbe8f85aa84a4e5cff813bee34a10f8a375a7d0af38 SHA512 4c50ad7e2d4676c767b0a455de9997f9f5c895ce5462e199903dbf5a0da321d787e989642f0a18e0bafb4859ac39c3708dc5004b4f5ac8ad2a18e431bfa1c043 WHIRLPOOL 6e11390f087f66d100705e7d86e10b97cf3f279b283cfa6646dc1c197a0f902386db93c93122f07d3fe497b0ac9e935ea67f2045d733a5f642fb12ff9969cfab
+DIST mendeleydesktop-1.17.8-linux-i486.tar.bz2 130923154 SHA256 88230740bd9656c40bf2257bbf713e8938d950113c937ff3400005d195acd0d8 SHA512 27d69769f8b36a873a215abe973435e9d1abbfe87538dfe2f8d0e8e57ebe420cbbc40a729129ece58dd67bf343671c77b6c944729dac70c3403df2a8fbfd8e04 WHIRLPOOL 685314e2cf5851ca75e1a6a9bae10957de80a7ab9b2dc5cd103bcc31aaff859e03281039980e77856dad30b95d96717d12685120355fad12cc03fbacf2ac287a
+DIST mendeleydesktop-1.17.8-linux-x86_64.tar.bz2 125392080 SHA256 0e7f5770096b5475a45de84f1d7c631d1b064ca414bb9ea28dac45fb4299e9ae SHA512 6f1e163d13682b864dcec86af15b0c305fe18480fc7d2645f93e5f5c4b19352a1b1771e64c5a4861cffd25ff81a8293e85c8f75e20563255c4cedb09097dbfc1 WHIRLPOOL f98ca32086c92ed751c5bcffee3e4acd07acfcd95dba576a9c4efa1cf4cc566277b3ff8fa7f83301dd5a0c2be461e54ab4d0d7e97314bec13fb33b1170f6a945
diff --git a/sci-misc/mendeleydesktop/mendeleydesktop-1.17.8.ebuild b/sci-misc/mendeleydesktop/mendeleydesktop-1.17.8.ebuild
new file mode 100644
index 00000000000..69eb1562274
--- /dev/null
+++ b/sci-misc/mendeleydesktop/mendeleydesktop-1.17.8.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit eutils fdo-mime multilib python-single-r1
+
+MY_P_AMD64="${P}-linux-x86_64"
+MY_P_X86="${P}-linux-i486"
+
+DESCRIPTION="Research management tool for desktop and web"
+HOMEPAGE="http://www.mendeley.com/"
+SRC_URI="
+ amd64? ( ${MY_P_AMD64}.tar.bz2 )
+ x86? ( ${MY_P_X86}.tar.bz2 )
+ amd64-linux? ( ${MY_P_AMD64}.tar.bz2 )
+ x86-linux? ( ${MY_P_X86}.tar.bz2 )"
+
+LICENSE="Mendeley-terms"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="fetch"
+
+DEPEND=""
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtpositioning:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebengine:5[widgets]
+ dev-qt/qtwebkit:5
+ dev-qt/qtxml:5
+ sys-libs/zlib
+ virtual/opengl
+ x11-libs/libX11
+ ${PYTHON_DEPS}"
+
+QA_PREBUILT="/opt/mendeleydesktop/.*"
+
+pkg_nofetch() {
+ elog "Please download ${A} from:"
+ elog "http://www.mendeley.com/download-mendeley-desktop/"
+ elog "and move it to ${DISTDIR}"
+}
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${WORKDIR}" || die
+
+ if use amd64 || use amd64-linux ; then
+ mv -f "${MY_P_AMD64}" "${P}" || die
+ else
+ mv -f "${MY_P_X86}" "${P}" || die
+ fi
+}
+
+src_prepare() {
+ # remove bundled Qt libraries
+ rm -r lib/mendeleydesktop/plugins \
+ || die "failed to remove plugin directory"
+ rm -r lib/qt || die "failed to remove qt libraries"
+
+ # force use of system Qt libraries
+ sed -i "s:sys\.argv\.count(\"--force-system-qt\") > 0:True:" \
+ bin/mendeleydesktop || die "failed to patch startup script"
+
+ # fix library paths
+ sed -i \
+ -e "s:lib/mendeleydesktop:$(get_libdir)/mendeleydesktop:g" \
+ -e "s:MENDELEY_BASE_PATH + \"/lib/\":MENDELEY_BASE_PATH + \"/$(get_libdir)/\":g" \
+ bin/mendeleydesktop || die "failed to patch library path"
+
+ default
+}
+
+src_install() {
+ # install menu
+ domenu share/applications/${PN}.desktop
+
+ # install application icons
+ insinto /usr/share/icons
+ doins -r share/icons/hicolor
+
+ # install default icon
+ insinto /usr/share/pixmaps
+ doins share/icons/hicolor/48x48/apps/${PN}.png
+
+ # install documentation, but no license file
+ dodoc share/doc/${PN}/Readme.txt
+
+ # install binary
+ python_fix_shebang bin/${PN}
+ into /opt/${PN}
+ dobin bin/*
+
+ # install libraries
+ dolib.so lib/lib*.so*
+
+ # install programs
+ exeinto /opt/mendeleydesktop/$(get_libdir)/mendeleydesktop/libexec
+ doexe lib/mendeleydesktop/libexec/*
+
+ # install shared files
+ insinto /opt/${PN}/share
+ doins -r share/mendeleydesktop
+
+ # install launch script
+ into /opt
+ make_wrapper ${PN} "/opt/${PN}/bin/${PN} --unix-distro-build"
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}